#
# spec file for package python3-whither
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright © 2016-2017 Antergos Developers <dev@antergos.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-whither
Version:        0.3.2
Release:        1.8
Summary:        Desktop application SDK for creating Universal Linux Applications
License:        GPL-3.0
Group:          Development/Languages/Python3
Url:            https://github.com/antergos/whither

Source:         https://files.pythonhosted.org/packages/source/w/whither/whither-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if 0%{?leap_version} == 420200
BuildRequires:  python3-typing
Requires:       python3-typing
%endif

Requires:       libqt5-qtwebengine
Requires:       python3-qt5
Requires:       python3-ruamel.yaml

%description
Whither allows developers to create universal desktop applications that can run under Qt5 or Gtk3.
A common api is provided so developers need not worry about implementation details of the GUI toolkits.

%prep
%setup -q -n whither-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Tue Apr 25 2017 dustin@antergos.com
- v0.3.2 Release
* Tue Mar  7 2017 dustin@antergos.com
- Incorporated feedback from request #460140
* Fri Feb 24 2017 dustin@antergos.com
- v0.3.1 Release
* Fri Feb 17 2017 dustin@antergos.com
- v0.3.0 Release
* Mon Feb 13 2017 dustin@antergos.com
- v0.2.4 Release
* Mon Feb 13 2017 dustin@antergos.com
- v0.2.3 Release
* Mon Feb 13 2017 dustin@antergos.com
- v0.2.2 Release
* Sun Feb 12 2017 dustin@antergos.com
- v0.2.1 Release
* Sat Feb 11 2017 dustin@antergos.com
- v0.2.0 Release
* Fri Feb 10 2017 dustin@antergos.com
- v0.1.1 Release
* Tue Feb  7 2017 dustin@antergos.com
- v0.1.0 Release
